import { Component, Input } from '@angular/core';
import { HttpClient } from 'kl/core/services/httpclient';

@Component({
  selector: 'test-checkbox',
  templateUrl: 'checkbox.html'
})
export class CheckboxComponent {

  @Input()
  id = '';
  @Input()
  data = {
    id: '0',
    name: 'err',
    type: 1,
    max: '',
    minx: ''
  };

  constructor(private http: HttpClient) {}

  getData() {
    this.http.getData(this.id, res => this.data = res);
  }

  ngOnInit(): void {
    this.getData();
  }

}
